package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesProdBindRecord;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description: 条码解绑实体
 * @Reference:
 * @Author: siliter.yuan
 * @CreateDate: 2020-06-28-11:44
 * @Modify:
 **/
@Data
public class FutrueTaskModel<T> {

    @ApiParam("实现类")
    private Object futrueTaskService;

    @ApiParam("工位请求bean")
    private StationRequestBean stationRequestBean;

    @ApiParam("产品条码表")
    private MesProduceSn produceSn;

    @ApiParam("产品绑定记录表")
    private MesProdBindRecord prodBindRecord;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("总装批量执行逻辑")
    private List<T> requestBeanList;

    @ApiParam("总装批量执行逻辑")
    private Object specialBusinessType;



}
