package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

@Data
public class MgnBoardListModel {

    @ApiParam("产线产量汇总")
    private List<MgnBoardYieldModel> centerYieldList;

    @ApiParam("月度产量汇总")
    private List<MgnBoardYieldModel> monthlyYieldList;

    @ApiParam("当班计划产量")
    private Double shiftPlanYield;

    @ApiParam("当班实际产量")
    private Double shiftActualYield;

    @ApiParam("计划完成率")
    private String planCompleteRate;

}
